Debian Bug report logs - #353629
ITA: edb -- A database program for GNU Emacs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Mon, 20 Feb 2006 00:48:31 UTC

Owned by: Jari Aalto <jari.aalto@cante.net>

Severity: normal

Fixed in version edb/1.21-15

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: edb -- A database program for GNU Emacs
Date: Mon, 20 Feb 2006 01:29:48 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of edb, Takao KAWAMURA <kawamura@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: edb
Binary: edb
Version: 1.21-13
Priority: optional
Section: misc
Maintainer: Takao KAWAMURA <kawamura@debian.org>
Build-Depends-Indep: debhelper, patch, texinfo
Architecture: all
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/e/edb
Files:
 80514f761e90e23ad58f4702380c50c4 558 edb_1.21-13.dsc
 24c9e18e517d5a9b292e2df19d123fb8 227835 edb_1.21.orig.tar.gz
 29f847f28240cfefddf03a6aff4b0416 9545 edb_1.21-13.diff.gz

Package: edb
Priority: optional
Section: misc
Installed-Size: 824
Maintainer: Takao KAWAMURA <kawamura@debian.org>
Architecture: all
Version: 1.21-13
Depends: emacs21
Filename: pool/main/e/edb/edb_1.21-13_all.deb
Size: 235002
MD5sum: ceb5d061b691462ef0462ed5f9ee1c02
Description: A database program for GNU Emacs
 EDB is a database program for GNU Emacs.  It permits you to
 manipulate structured (or not-so-structured) data within
 Emacs and provides many of the usual database features.


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Jari Aalto <jari.aalto@cante.net> to Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #18 received at 353629@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 353629@bugs.debian.org
Subject: edb -- Package available
Date: Mon, 12 Jun 2006 15:03:59 +0300
Package available, needs sponsor:

  http://sponsors.debian.net/viewpkg.php?id=254



Changed Bug title. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>. Full text and rfc822 format available.

Message #25 received at 353629@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: jari.aalto@cante.net, 353629@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: edb -- Package available
Date: Sun, 01 Oct 2006 19:38:19 +0900 (JST)
[Message part 1 (text/plain, inline)]
Hi, Jari and mentors,

On June 12, 2006 at 3:03PM +0300,
jari.aalto (at cante.net) wrote:

> Subject: edb -- Package available
> To: 353629@bugs.debian.org
>
> Package available, needs sponsor:
>
>   http://sponsors.debian.net/viewpkg.php?id=254

I've found, downloaded, and skimmed through your package. (Though
I'm not a user of edb.)

Some somments and patches:

* Build-Depends

debhelper and patch should be moved from Build-Depends-Indep to
Build-Depends because those packages are used at the clean target.

* Standards-Version

Current version is 3.7.2.

* duplicate-conffile

/etc/emacs/site-start.d/50edb.el is marked as conffile duplicately.
dh_installemacsen does enough job, so it should be removed from
`debian/conffiles'.

* copyright

You mentions `Added copyright holder' in changelog, but there is
no change.

* short description

The short description should not begin with an article.

See also Developer's Reference 6.2.2.

* long description

Please add a space to the beginning of `Homepage:'.  (Two spaces
prepending the `Homepage:' line)

See also Developer's Reference 6.2.4.

* emacs-snapshot

Other version of GNU Emacs, emacs-snapshot, is available.

* emacsen-startup

To add the package directory to load-path, debian-pkg-add-load-path-item
should be used.  See also
`/usr/share/doc/emacsen-common/debian-emacs-policy.gz'.

If the package is removed but not purged, the setup should be skipped.

* emacsen-install, emacsen-remove

If flavor is `emacs', don't display messages.

* emacsen-install

Add -q to not load user init files when byte-compiling.

Make *.el symlinks to find the source files from Emacs Help.

xemacs22 (not yet available) should be skipped.

I've created the attached patch for the above things.

Other things are:

* emacsen-install

It's better to use log file in emacsen-install to suppress
redundant messages.

Examples:
/usr/lib/emacsen-common/packages/install/debian-el
/usr/lib/emacsen-common/packages/install/devscripts-el

* new upstream version

As mentioned in bug#303785, new upstream version was released.
However, the upstream site
http://www.glug.org/people/ttn/software/edb/
seems no longer exist.

The announce of `EDB 1.27 available' was posted on July 13, 2006
at gnu-emacs-sources@gnu.org, but the file cannot be downloaded.

Though edb-1.25 is downloadable from gentoo mirrors, such as
http://gentoo.osuosl.org/distfiles/edb-1.25.tar.gz

Does anyone know the new upstream site?

* patch

This package uses the patch command directly.  Please consider
migrating to the patch system, such as quilt or dpatch.

Thanks,
--
Tatsuya Kinoshita
[edb-1.21-14~pre0.20061001.diff (text/plain, inline)]
diff -urN edb-1.21-14/debian/conffiles edb-1.21/debian/conffiles
--- edb-1.21-14/debian/conffiles	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/conffiles	1970-01-01 09:00:00.000000000 +0900
@@ -1 +0,0 @@
-/etc/emacs/site-start.d/50edb.el
diff -urN edb-1.21-14/debian/control edb-1.21/debian/control
--- edb-1.21-14/debian/control	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/control	2006-10-01 19:21:49.000000000 +0900
@@ -2,15 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends-Indep: debhelper (>= 4.0.0), patch, texinfo
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4), patch
+Build-Depends-Indep: texinfo
+Standards-Version: 3.7.2
 
 Package: edb
 Architecture: all
-Depends: emacs21
-Description: A database program for GNU Emacs
+Depends: emacs21 | emacs-snapshot
+Description: database program for GNU Emacs
  EDB is a database program for GNU Emacs. It permits you to
  manipulate structured (or not-so-structured) data within
  Emacs and provides many of the usual database features.
  .
- Homepage: http://www.glug.org/people/ttn/software/edb/
+  Homepage: http://www.glug.org/people/ttn/software/edb/
diff -urN edb-1.21-14/debian/copyright edb-1.21/debian/copyright
--- edb-1.21-14/debian/copyright	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/copyright	2006-10-01 18:00:01.000000000 +0900
@@ -1,10 +1,29 @@
-This package was debianized by Takao KAWAMURA kawamura@debian.org on
+This package was debianized by Takao KAWAMURA <kawamura@debian.org> on
 Sun, 23 May 1999 21:58:27 +0900.
 
 It was downloaded from ftp://theory.lcs.mit.edu/pub/people/mernst/edb/
 
-Copyright:
+Copyright (C) 1991-1995 Michael D. Ernst <mernst@theory.lcs.mit.edu>
 
-;; EDB is distributed under the same conditions as GNU Emacs.
+EDB is distributed under the same conditions as GNU Emacs.
 
-cf. /usr/share/common-licenses/GPL
+GNU Emacs is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2, or (at your option)
+any later version.
+
+This package is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with GNU Emacs; see the file COPYING.  If not, write to the
+Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+Boston, MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General Public License,
+version 2, can be found in `/usr/share/common-licenses/GPL-2'.
+
+The Debian packaging is 2006 Jari Aalto <jari.aalto@cante.net> and
+is distributed under the same conditions as the upstream, see above.
diff -urN edb-1.21-14/debian/emacsen-install edb-1.21/debian/emacsen-install
--- edb-1.21-14/debian/emacsen-install	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/emacsen-install	2006-10-01 18:21:42.000000000 +0900
@@ -3,30 +3,35 @@
 FLAVOR=$1
 PACKAGE=edb
 
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
 echo install/${PACKAGE}: Handling install of emacsen flavor ${FLAVOR}
 
-ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}/
-ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}/
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
 
 case ${FLAVOR} in
-    emacs|xemacs21)
+    xemacs*)
         echo install/${PACKAGE}: Ignoring emacsen flavor ${FLAVOR};;
     *)
         echo -n install/${PACKAGE}: Byte-compiling for ${FLAVOR} ...
         install -m 755 -d ${ELCDIR}
-    
+	rm -f ${ELDIR}/BYTE-COMPILE.el ${ELCDIR}/*.el ${ELCDIR}/*.elc
         (
             cd ${ELDIR}
             echo '(setq load-path (cons "." load-path))' > BYTE-COMPILE.el 
             echo '(setq edb-directory ".")' >> BYTE-COMPILE.el 
-            ${FLAVOR} -batch -no-site-file \
+            ${FLAVOR} -batch -q -no-site-file \
                 -l ./BYTE-COMPILE.el -l database.el \
                 -f byte-compile-database-all \
                 -f batch-byte-compile database.el
-            ${FLAVOR} -batch -no-site-file -f batch-byte-compile edb-fixes-1.21.el
+            ${FLAVOR} -batch -q -no-site-file -f batch-byte-compile edb-fixes-1.21.el
 
-            rm BYTE-COMPILE.el
+            rm -f BYTE-COMPILE.el
             mv -f *.elc ${ELCDIR}
+	    for f in *.el; do
+		ln -sf ${ELDIR}/$f ${ELCDIR}
+	    done
         )
         echo " done.";;
 esac
diff -urN edb-1.21-14/debian/emacsen-remove edb-1.21/debian/emacsen-remove
--- edb-1.21-14/debian/emacsen-remove	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/emacsen-remove	2006-10-01 18:28:49.000000000 +0900
@@ -3,14 +3,10 @@
 FLAVOR=$1
 PACKAGE=edb
 
-echo remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
 
-case ${FLAVOR} in
-    emacs)
-        echo remove/${PACKAGE}: Ignoring emacsen flavor ${FLAVOR};;
-    *)
-        echo remove/${PACKAGE}: Purging byte-compiled files for ${FLAVOR}
-        rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE};;
-esac
+echo remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+echo remove/${PACKAGE}: Purging byte-compiled files for ${FLAVOR}
+rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
 
 exit 0
diff -urN edb-1.21-14/debian/emacsen-startup edb-1.21/debian/emacsen-startup
--- edb-1.21-14/debian/emacsen-startup	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/emacsen-startup	2006-10-01 18:09:30.000000000 +0900
@@ -11,10 +11,16 @@
 ;; xemacs19, emacs20, xemacs20...).  The compiled code is then
 ;; installed in a subdirectory of the respective site-lisp directory.
 ;; We have to add this to the load-path:
-(setq load-path (cons
-                 (concat "/usr/share/" (symbol-name flavor)
-                         "/site-lisp/edb")
-                 load-path))
+(let ((package-dir (concat "/usr/share/"
+                           (symbol-name flavor)
+                           "/site-lisp/edb")))
+  ;; If package-dir does not exist, the quilt-el package must have
+  ;; removed but not purged, and we should skip the setup.
+  (when (file-directory-p package-dir)
+    (if (fboundp 'debian-pkg-add-load-path-item)
+	(debian-pkg-add-load-path-item package-dir)
+      (setq load-path (cons package-dir load-path)))
+    ;;
 
 (setq edb-directory
       (concat "/usr/share/" (symbol-name debian-emacs-flavor)
@@ -45,3 +51,6 @@
         (setq buf (buffer-name (current-buffer))))))
 
 (require 'edb-fixes-1.21)
+
+    ;;
+    ))
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>. Full text and rfc822 format available.

Message #30 received at 353629@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: jari.aalto@cante.net, 353629@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: Bug#353629: edb -- Package available
Date: Sun, 01 Oct 2006 21:06:16 +0900 (JST)
[Message part 1 (text/plain, inline)]
On October 1, 2006 at 7:38PM +0900,
tats (at debian.org) wrote:

> --- edb-1.21-14/debian/emacsen-startup	2006-10-01 12:07:07.000000000 +0900
> +++ edb-1.21/debian/emacsen-startup	2006-10-01 18:09:30.000000000 +0900
[...]
> +  ;; If package-dir does not exist, the quilt-el package must have
> +  ;; removed but not purged, and we should skip the setup.

Oops, typo: remove `quilt-el '.

--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>. Full text and rfc822 format available.

Message #35 received at 353629@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: jari.aalto@cante.net, 353629@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Bug#353629: ITA: edb -- A database program for GNU Emacs
Date: Sat, 21 Oct 2006 09:41:26 +0900 (JST)
[Message part 1 (text/plain, inline)]
Hi Jari,

If you still have the intention of `ITA: edb' and no one has
offered to sponsor it for you, I'll sponsor your package.  Please
apply the attached patch, and tell me a location for the new package.

If not, I'll NMU or so.

On October 1, 2006 at 7:38PM +0900,
tats (at debian.org) wrote:

> On June 12, 2006 at 3:03PM +0300,
> jari.aalto (at cante.net) wrote:
>
> > Subject: edb -- Package available
> > To: 353629@bugs.debian.org
> >
> > Package available, needs sponsor:
> >
> >   http://sponsors.debian.net/viewpkg.php?id=254
>
> I've found, downloaded, and skimmed through your package. (Though
> I'm not a user of edb.)
>
> Some somments and patches:
>
> * Build-Depends
>
> debhelper and patch should be moved from Build-Depends-Indep to
> Build-Depends because those packages are used at the clean target.
>
> * Standards-Version
>
> Current version is 3.7.2.
>
> * duplicate-conffile
>
> /etc/emacs/site-start.d/50edb.el is marked as conffile duplicately.
> dh_installemacsen does enough job, so it should be removed from
> `debian/conffiles'.
>
> * copyright
>
> You mentions `Added copyright holder' in changelog, but there is
> no change.
>
> * short description
>
> The short description should not begin with an article.
>
> See also Developer's Reference 6.2.2.
>
> * long description
>
> Please add a space to the beginning of `Homepage:'.  (Two spaces
> prepending the `Homepage:' line)
>
> See also Developer's Reference 6.2.4.
>
> * emacs-snapshot
>
> Other version of GNU Emacs, emacs-snapshot, is available.
>
> * emacsen-startup
>
> To add the package directory to load-path, debian-pkg-add-load-path-item
> should be used.  See also
> `/usr/share/doc/emacsen-common/debian-emacs-policy.gz'.
>
> If the package is removed but not purged, the setup should be skipped.
>
> * emacsen-install, emacsen-remove
>
> If flavor is `emacs', don't display messages.
>
> * emacsen-install
>
> Add -q to not load user init files when byte-compiling.
>
> Make *.el symlinks to find the source files from Emacs Help.
>
> xemacs22 (not yet available) should be skipped.
>
> I've created the attached patch for the above things.

--
Tatsuya Kinoshita
[edb-1.21-14~pre0.20061021.diff (text/plain, inline)]
diff -urN edb-1.21-14/debian/conffiles edb-1.21/debian/conffiles
--- edb-1.21-14/debian/conffiles	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/conffiles	1970-01-01 09:00:00.000000000 +0900
@@ -1 +0,0 @@
-/etc/emacs/site-start.d/50edb.el
diff -urN edb-1.21-14/debian/control edb-1.21/debian/control
--- edb-1.21-14/debian/control	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/control	2006-10-01 19:21:49.000000000 +0900
@@ -2,15 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends-Indep: debhelper (>= 4.0.0), patch, texinfo
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4), patch
+Build-Depends-Indep: texinfo
+Standards-Version: 3.7.2
 
 Package: edb
 Architecture: all
-Depends: emacs21
-Description: A database program for GNU Emacs
+Depends: emacs21 | emacs-snapshot
+Description: database program for GNU Emacs
  EDB is a database program for GNU Emacs. It permits you to
  manipulate structured (or not-so-structured) data within
  Emacs and provides many of the usual database features.
  .
- Homepage: http://www.glug.org/people/ttn/software/edb/
+  Homepage: http://www.glug.org/people/ttn/software/edb/
diff -urN edb-1.21-14/debian/copyright edb-1.21/debian/copyright
--- edb-1.21-14/debian/copyright	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/copyright	2006-10-01 18:00:01.000000000 +0900
@@ -1,10 +1,29 @@
-This package was debianized by Takao KAWAMURA kawamura@debian.org on
+This package was debianized by Takao KAWAMURA <kawamura@debian.org> on
 Sun, 23 May 1999 21:58:27 +0900.
 
 It was downloaded from ftp://theory.lcs.mit.edu/pub/people/mernst/edb/
 
-Copyright:
+Copyright (C) 1991-1995 Michael D. Ernst <mernst@theory.lcs.mit.edu>
 
-;; EDB is distributed under the same conditions as GNU Emacs.
+EDB is distributed under the same conditions as GNU Emacs.
 
-cf. /usr/share/common-licenses/GPL
+GNU Emacs is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2, or (at your option)
+any later version.
+
+This package is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with GNU Emacs; see the file COPYING.  If not, write to the
+Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+Boston, MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General Public License,
+version 2, can be found in `/usr/share/common-licenses/GPL-2'.
+
+The Debian packaging is 2006 Jari Aalto <jari.aalto@cante.net> and
+is distributed under the same conditions as the upstream, see above.
diff -urN edb-1.21-14/debian/emacsen-install edb-1.21/debian/emacsen-install
--- edb-1.21-14/debian/emacsen-install	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/emacsen-install	2006-10-01 18:21:42.000000000 +0900
@@ -3,30 +3,35 @@
 FLAVOR=$1
 PACKAGE=edb
 
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
 echo install/${PACKAGE}: Handling install of emacsen flavor ${FLAVOR}
 
-ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}/
-ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}/
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
 
 case ${FLAVOR} in
-    emacs|xemacs21)
+    xemacs*)
         echo install/${PACKAGE}: Ignoring emacsen flavor ${FLAVOR};;
     *)
         echo -n install/${PACKAGE}: Byte-compiling for ${FLAVOR} ...
         install -m 755 -d ${ELCDIR}
-    
+	rm -f ${ELDIR}/BYTE-COMPILE.el ${ELCDIR}/*.el ${ELCDIR}/*.elc
         (
             cd ${ELDIR}
             echo '(setq load-path (cons "." load-path))' > BYTE-COMPILE.el 
             echo '(setq edb-directory ".")' >> BYTE-COMPILE.el 
-            ${FLAVOR} -batch -no-site-file \
+            ${FLAVOR} -batch -q -no-site-file \
                 -l ./BYTE-COMPILE.el -l database.el \
                 -f byte-compile-database-all \
                 -f batch-byte-compile database.el
-            ${FLAVOR} -batch -no-site-file -f batch-byte-compile edb-fixes-1.21.el
+            ${FLAVOR} -batch -q -no-site-file -f batch-byte-compile edb-fixes-1.21.el
 
-            rm BYTE-COMPILE.el
+            rm -f BYTE-COMPILE.el
             mv -f *.elc ${ELCDIR}
+	    for f in *.el; do
+		ln -sf ${ELDIR}/$f ${ELCDIR}
+	    done
         )
         echo " done.";;
 esac
diff -urN edb-1.21-14/debian/emacsen-remove edb-1.21/debian/emacsen-remove
--- edb-1.21-14/debian/emacsen-remove	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/emacsen-remove	2006-10-01 18:28:49.000000000 +0900
@@ -3,14 +3,10 @@
 FLAVOR=$1
 PACKAGE=edb
 
-echo remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
 
-case ${FLAVOR} in
-    emacs)
-        echo remove/${PACKAGE}: Ignoring emacsen flavor ${FLAVOR};;
-    *)
-        echo remove/${PACKAGE}: Purging byte-compiled files for ${FLAVOR}
-        rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE};;
-esac
+echo remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+echo remove/${PACKAGE}: Purging byte-compiled files for ${FLAVOR}
+rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
 
 exit 0
diff -urN edb-1.21-14/debian/emacsen-startup edb-1.21/debian/emacsen-startup
--- edb-1.21-14/debian/emacsen-startup	2006-10-01 12:07:07.000000000 +0900
+++ edb-1.21/debian/emacsen-startup	2006-10-01 18:09:30.000000000 +0900
@@ -11,10 +11,16 @@
 ;; xemacs19, emacs20, xemacs20...).  The compiled code is then
 ;; installed in a subdirectory of the respective site-lisp directory.
 ;; We have to add this to the load-path:
-(setq load-path (cons
-                 (concat "/usr/share/" (symbol-name flavor)
-                         "/site-lisp/edb")
-                 load-path))
+(let ((package-dir (concat "/usr/share/"
+                           (symbol-name flavor)
+                           "/site-lisp/edb")))
+  ;; If package-dir does not exist, the package must have
+  ;; removed but not purged, and we should skip the setup.
+  (when (file-directory-p package-dir)
+    (if (fboundp 'debian-pkg-add-load-path-item)
+	(debian-pkg-add-load-path-item package-dir)
+      (setq load-path (cons package-dir load-path)))
+    ;;
 
 (setq edb-directory
       (concat "/usr/share/" (symbol-name debian-emacs-flavor)
@@ -45,3 +51,6 @@
         (setq buf (buffer-name (current-buffer))))))
 
 (require 'edb-fixes-1.21)
+
+    ;;
+    ))
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>. Full text and rfc822 format available.

Message #40 received at 353629@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: jaalto@cante.net, 353629@bugs.debian.org
Subject: Re: Bug#353629: ITA: edb -- A database program for GNU Emacs
Date: Fri, 03 Nov 2006 08:10:57 +0900 (JST)
[Message part 1 (text/plain, inline)]
tags 353629 - pending
retitle 353629 O: edb -- database program for GNU Emacs
thanks

On October 26, 2006 at 6:38AM +0900,
tats (at debian.org) wrote:

> On October 24, 2006 at 8:37PM +0300,
> jaalto (at cante.net) wrote:
>
> > The patch is now applied. I've made the *.deb, which you can get with:
> >
> > wget \
> >     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_all.deb \
> >     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15.diff.gz \
> >     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15.dsc \
> >     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_i386.changes \
> >     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_source.changes \
> >     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21.orig.tar.gz
>
> Hmm, ERROR 403: Forbidden...

No response..., so I've uploaded edb_1.21-14 to orphan the MIA's package.

If you really have time to maintain the edb package, do ITA again.

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Tags removed: pending Request was from Tatsuya Kinoshita <tats@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Tatsuya Kinoshita <tats@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Jari Aalto <jari.aalto@cante.net> to Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #55 received at 353629@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 353629@bugs.debian.org
Cc: Tatsuya Kinoshita <tats@debian.org>
Subject: edb: A database program for GNU Emacs (Package available)
Date: 18 Nov 2006 12:33:35 +0200
Package available. Need sponsor. See below.

wget \
     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_all.deb \
     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15.diff.gz \
     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15.dsc \
     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_i386.changes \
     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_source.changes \
     http://cante.net/~jaalto/tmp/debian/edb/edb_1.21.orig.tar.gz

edb (1.21-15) unstable; urgency=low

  * New maintainer. (Orphaned; Closes: #353629)
  * Applied patch by Tatsuya Kinoshita <tats@debian.org> to fix
    debian/control (Build-Depends, Build-Depends-Indep, Depends),
    debian/copyright (Proper copyright year, author, license),
    debian/emacsen-install (added "-q" during byte compilation and
    *.elc cleanup), debian/emacsen-remove (simplified "emacs" treatment),
    debian/emacsen-startup (better init implementation)
  * debian/conffiles: File removed. Had entry
    "/etc/emacs/site-start.d/50edb.el". This is automatically added
    by debhelper.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 24 Oct 2006 20:07:51 +0300





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>:
Bug#353629; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jari Aalto <jari.aalto@cante.net>. Full text and rfc822 format available.

Message #60 received at 353629@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: jari.aalto@cante.net
Cc: 353629@bugs.debian.org
Subject: Re: edb: A database program for GNU Emacs (Package available)
Date: Sat, 18 Nov 2006 21:08:24 +0900 (JST)
[Message part 1 (text/plain, inline)]
On November 18, 2006 at 12:33PM +0200,
jari.aalto (at cante.net) wrote:

> Package available. Need sponsor. See below.
>
> wget \
>      http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_all.deb \
>      http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15.diff.gz \
>      http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15.dsc \
>      http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_i386.changes \
>      http://cante.net/~jaalto/tmp/debian/edb/edb_1.21-15_source.changes \
>      http://cante.net/~jaalto/tmp/debian/edb/edb_1.21.orig.tar.gz
>
> edb (1.21-15) unstable; urgency=low
>
>   * New maintainer. (Orphaned; Closes: #353629)
>   * Applied patch by Tatsuya Kinoshita <tats@debian.org> to fix
>     debian/control (Build-Depends, Build-Depends-Indep, Depends),
>     debian/copyright (Proper copyright year, author, license),
>     debian/emacsen-install (added "-q" during byte compilation and
>     *.elc cleanup), debian/emacsen-remove (simplified "emacs" treatment),
>     debian/emacsen-startup (better init implementation)
>   * debian/conffiles: File removed. Had entry
>     "/etc/emacs/site-start.d/50edb.el". This is automatically added
>     by debhelper.
>
>  -- Jari Aalto <jari.aalto@cante.net>  Tue, 24 Oct 2006 20:07:51 +0300

Uploaded.

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #65 received at 353629-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 353629-close@bugs.debian.org
Subject: Bug#353629: fixed in edb 1.21-15
Date: Sat, 18 Nov 2006 04:17:08 -0800
Source: edb
Source-Version: 1.21-15

We believe that the bug you reported is fixed in the latest version of
edb, which is due to be installed in the Debian FTP archive:

edb_1.21-15.diff.gz
  to pool/main/e/edb/edb_1.21-15.diff.gz
edb_1.21-15.dsc
  to pool/main/e/edb/edb_1.21-15.dsc
edb_1.21-15_all.deb
  to pool/main/e/edb/edb_1.21-15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated edb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 24 Oct 2006 20:07:51 +0300
Source: edb
Binary: edb
Architecture: source all
Version: 1.21-15
Distribution: unstable
Urgency: low
Maintainer: Jari Aalto <jari.aalto@cante.net>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 edb        - database program for GNU Emacs
Closes: 353629
Changes: 
 edb (1.21-15) unstable; urgency=low
 .
   * New maintainer. (Orphaned; Closes: #353629)
   * Applied patch by Tatsuya Kinoshita <tats@debian.org> to fix
     debian/control (Build-Depends, Build-Depends-Indep, Depends),
     debian/copyright (Proper copyright year, author, license),
     debian/emacsen-install (added "-q" during byte compilation and
     *.elc cleanup), debian/emacsen-remove (simplified "emacs" treatment),
     debian/emacsen-startup (better init implementation)
   * debian/conffiles: File removed. Had entry
     "/etc/emacs/site-start.d/50edb.el". This is automatically added
     by debhelper.
Files: 
 d08c58fe44b0497a0d29ec9c2f01ad04 577 utils optional edb_1.21-15.dsc
 c07b067750dd3e7c60951e7b1ec1542c 12209 utils optional edb_1.21-15.diff.gz
 946e49e61130fee65b30a5196f1cc571 239400 utils optional edb_1.21-15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFXvZmgV4LPvpMUpgRAs0AAJkB9z9xoPxsr5/0mwkmvRaYmaiXQwCgnkUU
fe65MJVhwz48v4is8wiLKog=
=x1qp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:41:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:42:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.